HPE OneView
cancel
Showing results for 
Search instead for 
Did you mean: 

OneView 4.20.02 upgrade to 5.0 failed

 
GHdCIT
Occasional Visitor

OneView 4.20.02 upgrade to 5.0 failed

Hello all,

Our OneView apppliance (VM under vShere 6.5) was in version 4.10.01-0348545. I tried several times to upgrade to the latest version.

For that, I followed this upgrade path:

  • Update to 4.10.05: ok
  • Upgrade to 4.20.02: ok
  • PreUpgrade_4.20_5.00_Z7550-96608: ok
  • Upgrade to 5.00.00.01: failed with message "Update operation failed while upgrading database".
    Same problem with version 5.00.00.02

I tried to make a backup from the backup module of the 4.20.02 appliance, create a new appliance with the 5.00 ova and restore the backup with no more success. Message ""Incompatible backup. The backup was made from an appliance with version 4.20.02-0395878 and model HPE OneView VM - VMware vSphere vm.

If somebody have any suggestion, it would be really appreciate.

Thanks

 

5 REPLIES 5
MCSAP
Advisor

Re: OneView 4.20.02 upgrade to 5.0 failed

I have a case opened for an upgrade from 4.20.02 to 5.0 as well.  Not the same error but if I get an answer/solution I'll be sure to share here.

 

 

GHdCIT
Occasional Visitor

Re: OneView 4.20.02 upgrade to 5.0 failed

Thank you.

i'll do the same. I'll create a support ticket today.

ronissac
HPE Pro

Re: OneView 4.20.02 upgrade to 5.0 failed

Hi GHdCIT , 

There are few things you can check here .

1. Before upgrading to 5.00.00.02, change the virtual CPU to 8 2-GHz, and memory to 24 GB.

2. Make sure the disk allocated is 275 GB (thick provisioned)

if the above conditions are met and issue still persists, Please log a support ticker with HPE as this may need deeper debugging

 

Regards

Ronny

If you feel this was helpful please click the KUDOS! Thumbs below!


I am an HPE employee
Accept or Kudo
DanCernese0
HPE Pro

Re: OneView 4.20.02 upgrade to 5.0 failed

This is unusual for a couple reasons.

Upgrading 4.10.05 requires going to 4.20.01.01 and then to 4.20.02.  If you succeeded upgrading to 4.20.02, you should not need to run the PreUpgrade file.  (Although running it doesn't hurt).

However, the whole purpose of the preUpgrade is to avoid hitting the error while upgrading database-- going to either 4.20.02 or 5.00.XX.

Backups can only be restored to exactly the same version from which they were made.

You'll need to open a support case-- and clarify the details of what exactly was done-- and I'd like to know the case# to track upgrade issues like this (send to me directly or post if you don't mind).

I am an HPE Employee
Accept or Kudo
MCSAP
Advisor

Re: OneView 4.20.02 upgrade to 5.0 failed

FYI - HPE support engineer had to login to my appliance and delete a stail entry in the database.  Once done, the upgrade continued without issue.

I asked for the info but he said it was an internal KB and cannot be shared.

Good luck!